<?php
# utf8-marker = äöüß
#
# bpp_pay
# Paypal Payment/Donation Plugin for CMSimple
# 1-11rc7 - 18 June 2021
#

if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}

function bpp_pay() {
  GLOBAL $plugin_tx,$plugin_cf,$pth;
$plugin="bpp_pay";
$imagePath = $pth['folder']['plugins'] . $plugin . "/images/";
$bpp_donatenowbtn_img = $imagePath . $plugin_cf['bpp_pay']['btn_img_name_donation'];
$bpp_paynowbtn_img = $imagePath .$plugin_cf['bpp_pay']['btn_img_name_payment'];
$bpp_paypal_img = $imagePath ."paypal.gif";
$bpp_spacer_img = $imagePath ."spacer.gif";

// Donation Form
if(preg_match("/true/i",$plugin_cf['bpp_pay']['add_top_text_donation'])){$bpp_add_top_text_donation = "<p>".$plugin_tx['bpp_pay']['donation_add_top_text']."</p>";}
else $bpp_add_top_text_donation = "";

if(preg_match("/true/i",$plugin_cf['bpp_pay']['btn_plain_donation'])){ 
$bpp_submit_btn_donation = "<input class=\"submit\" name=\"submit\" type=\"submit\" value=\"".$plugin_cf['bpp_pay']['submit_text_donation']."\" title=\"".$plugin_tx['bpp_pay']['donation_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['donation_submit_hint']." \">";
}
else if(preg_match("/true/i",$plugin_cf['bpp_pay']['btn_ext_image_donation'])){ 
$bpp_submit_btn_donation = "<input type=\"image\" src=\"".$plugin_cf['bpp_pay']['btn_url_donation']."\" border=\"0\" name=\"submit\" title=\"".$plugin_tx['bpp_pay']['donation_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['donation_submit_hint'] ." \">";
}
else $bpp_submit_btn_donation = "<input type=\"image\" src=\"".$bpp_donatenowbtn_img."\" border=\"0\" name=\"submit\" title=\"".$plugin_tx['bpp_pay']['donation_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['donation_submit_hint']." \">";

$bpp_add_donation_form = "<div id=\"bpp_plugin\">". "\n" .$bpp_add_top_text_donation. "\n" ."<form class=\"bpp_donation\" action=\"https://www.paypal.com/cgi-bin/webscr\" method=\"post\">". "\n"
	."<input name=\"cmd\" value=\"_xclick\" type=\"hidden\">". "\n"
	."<input name=\"business\" value=\"".$plugin_cf['bpp_pay']['payment_for']."\" type=\"hidden\">". "\n"
	."<input name=\"item_name\" value=\"".$plugin_cf['bpp_pay']['payment_donation_name']."\" type=\"hidden\">". "\n"
	."<input name=\"no_note\" value=\"1\" type=\"hidden\">". "\n"
	."<input name=\"currency_code\" value=\"".$plugin_cf['bpp_pay']['currency']."\" type=\"hidden\">". "\n"
	."<input name=\"tax\" value=\"0\" type=\"hidden\">". "\n"
	."<input name=\"bn\" value=\"PP-DonationsBF\" type=\"hidden\">". "\n"
    ."<label for=\"bpp_donation_amount\">".$plugin_tx['bpp_pay']['donation_amount_text']." &nbsp;<span style=\"font-size: smaller;\">(".$plugin_cf['bpp_pay']['currency'].")</span></label><br>". "\n"
	."<input placeholder=\"".$plugin_tx['bpp_pay']['amount_placeholder_txt']."\" maxlength=\"12\" size=\"26\" class=\"text\" name=\"amount\" value=\"\" style=\" \" type=\"text\" title=\"".$plugin_tx['bpp_pay']['donation_amount_hint']." \"><br>". "\n"
	. $bpp_submit_btn_donation. "\n"
	."</form></div>". "\n";

// Payment Form
if(preg_match("/true/i",$plugin_cf['bpp_pay']['add_top_text_payment'])){ $bpp_add_top_text_payment = "<p>".$plugin_tx['bpp_pay']['payment_add_top_text']."</p>";}
else $bpp_add_top_text_payment = "";

if(preg_match("/true/i",$plugin_cf['bpp_pay']['btn_plain_payment'])){ 
$bpp_submit_btn_payment = "<input class=\"submit\" name=\"submit\" type=\"submit\" value=\"".$plugin_cf['bpp_pay']['submit_text_payment']."\" title=\"".$plugin_tx['bpp_pay']['payment_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['payment_submit_hint']." \">";
}
else if(preg_match("/true/i",$plugin_cf['bpp_pay']['btn_ext_image_payment'])){ 
$bpp_submit_btn_payment = "<input type=\"image\" src=\"".$plugin_cf['bpp_pay']['btn_url_payment']."\" border=\"0\" name=\"submit\" title=\"".$plugin_tx['bpp_pay']['payment_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['payment_submit_hint'] ." \">";
}
else $bpp_submit_btn_payment = "<input type=\"image\" src=\"".$bpp_paynowbtn_img."\" border=\"0\" name=\"submit\" title=\"".$plugin_tx['bpp_pay']['payment_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['payment_submit_hint']." \">";

$bpp_add_payment_form = "<div id=\"bpp_plugin\">". "\n" . $bpp_add_top_text_payment. "\n" ."<form class=\"bpp_payment\" action=\"https://www.paypal.com/cgi-bin/webscr\" method=\"post\">". "\n"
	."<input name=\"cmd\" value=\"_xclick\" type=\"hidden\">". "\n"
	."<input name=\"business\" value=\"".$plugin_cf['bpp_pay']['payment_for']."\" type=\"hidden\">". "\n"
	."<input name=\"currency_code\" value=\"".$plugin_cf['bpp_pay']['currency']."\" type=\"hidden\">". "\n"
	."<input name=\"shipping\" value=\"0.00\" type=\"hidden\">". "\n"
	."<input name=\"no_shipping\" value=\"1\" type=\"hidden\">". "\n"
	."<input name=\"no_note\" value=\"1\" type=\"hidden\">". "\n"
	."<input name=\"tax\" value=\"0\" type=\"hidden\">". "\n"
	."<input name=\"bn\" value=\"PP-BuyNowBF\" type=\"hidden\">". "\n"
	."<label for=\"bpp_payment_title\">".$plugin_tx['bpp_pay']['payment_title_text']."</label><br>". "\n"
	."<input placeholder=\"".$plugin_tx['bpp_pay']['payment_placeholder_txt']."\" maxlength=\"12\" size=\"26\" class=\"text\" name=\"item_name\" value=\"".$plugin_cf['bpp_pay']['payment_item_name']."\" style=\" \" type=\"text\" title=\"".$plugin_tx['bpp_pay']['payment_title_hint']." \"><br>". "\n"
	."<label for=\"bpp_payment_amount\">".$plugin_tx['bpp_pay']['payment_amount_text']." &nbsp;<span style=\"font-size: smaller;\">(".$plugin_cf['bpp_pay']['currency'].")</span></label><br>". "\n"
	."<input placeholder=\"".$plugin_tx['bpp_pay']['amount_placeholder_txt']."\" maxlength=\"12\" size=\"26\" class=\"text\" name=\"amount\" value=\"".$plugin_cf['bpp_pay']['payment_item_price']."\" style=\" \" type=\"text\" title=\"".$plugin_tx['bpp_pay']['payment_amount_hint']." \"><br>". "\n"
	. $bpp_submit_btn_payment. "\n"
	."</form></div>". "\n";
	
//Payment Button
$bpp_add_payment_btn = "<div id=\"bpp_plugin\">". "\n"."<form class=\"bpp_button\" action=\"https://www.paypal.com/cgi-bin/webscr\" method=\"post\">". "\n"	
	."<input name=\"cmd\" value=\"_xclick\" type=\"hidden\">". "\n"
	."<input name=\"business\" value=\"".$plugin_cf['bpp_pay']['payment_for']."\" type=\"hidden\">". "\n"
	."<input name=\"item_name\" value=\"".$plugin_cf['bpp_pay']['payment_item_name']."\" type=\"hidden\">". "\n"
	."<input name=\"amount\" value=\"".$plugin_cf['bpp_pay']['payment_item_price']."\" type=\"hidden\">". "\n"
	."<input name=\"currency_code\" value=\"".$plugin_cf['bpp_pay']['currency']."\" type=\"hidden\">". "\n"
	."<input name=\"shipping\" value=\"0.00\" type=\"hidden\">". "\n"
	."<input name=\"no_shipping\" value=\"1\" type=\"hidden\">". "\n"
	."<input name=\"no_note\" value=\"1\" type=\"hidden\">". "\n"
	."<input name=\"tax\" value=\"0\" type=\"hidden\">". "\n"
	."<input name=\"bn\" value=\"PP-BuyNowBF\" type=\"hidden\">". "\n"
	. $bpp_submit_btn_payment. "\n"
	."</form></div>". "\n";
if (preg_match("/true/i",$plugin_cf['bpp_pay']['add_donation'])) 
return $bpp_add_donation_form;
else if (preg_match("/true/i",$plugin_cf['bpp_pay']['add_item_payment'])) 
return $bpp_add_payment_btn;
else 
return $bpp_add_payment_form;
}
?>
